[Pkg-ocaml-maint-commits] r3145 - in /trunk/packages/ocsigen/trunk/debian: control ocsigen.1 ocsigen.default ocsigen.doc-base ocsigen.init rules

smimram at users.alioth.debian.org smimram at users.alioth.debian.org
Fri Sep 15 14:03:11 UTC 2006


Author: smimram
Date: Fri Sep 15 14:03:10 2006
New Revision: 3145

URL: http://svn.debian.org/wsvn/pkg-ocaml-maint/?sc=1&rev=3145
Log:
Package mostly ready.

Added:
    trunk/packages/ocsigen/trunk/debian/ocsigen.default
    trunk/packages/ocsigen/trunk/debian/ocsigen.doc-base
    trunk/packages/ocsigen/trunk/debian/ocsigen.init
Modified:
    trunk/packages/ocsigen/trunk/debian/control
    trunk/packages/ocsigen/trunk/debian/ocsigen.1
    trunk/packages/ocsigen/trunk/debian/rules

Modified: trunk/packages/ocsigen/trunk/debian/control
URL: http://svn.debian.org/wsvn/pkg-ocaml-maint/trunk/packages/ocsigen/trunk/debian/control?rev=3145&op=diff
==============================================================================
--- trunk/packages/ocsigen/trunk/debian/control (original)
+++ trunk/packages/ocsigen/trunk/debian/control Fri Sep 15 14:03:10 2006
@@ -8,7 +8,7 @@
 
 Package: ocsigen
 Architecture: any
-Depends: adduser, ${shlibs:Depends}, ocaml-nox
+Depends: adduser, ${shlibs:Depends}, ocaml-nox-${F:OCamlABI}
 Description: web programming framework in OCaml
  Ocsigen is a programming framework providing a new way to create
  dynamic web sites. With Ocsigen, you program in a concise and modular

Modified: trunk/packages/ocsigen/trunk/debian/ocsigen.1
URL: http://svn.debian.org/wsvn/pkg-ocaml-maint/trunk/packages/ocsigen/trunk/debian/ocsigen.1?rev=3145&op=diff
==============================================================================
--- trunk/packages/ocsigen/trunk/debian/ocsigen.1 (original)
+++ trunk/packages/ocsigen/trunk/debian/ocsigen.1 Fri Sep 15 14:03:10 2006
@@ -15,43 +15,52 @@
 .\" .br        insert line break
 .\" .sp <n>    insert n+1 empty lines
 .\" for manpage-specific macros, see man(7)
+
+
 .SH NAME
-OCSIGEN \- program to do something
+OCSIGEN \- Web programming framework in OCaml
 .SH SYNOPSIS
-.B xmoto
-.RI [ options ] " files" ...
-.br
-.B bar
-.RI [ options ] " files" ...
+.B ocsigen
+.RI [ options ]
+
+
 .SH DESCRIPTION
-This manual page documents briefly the
-.B xmoto
-and
-.B bar
-commands.
-.PP
-.B xmoto
-is a program that...
+.B ocisgen
+is a programming framework providing a new way to create
+dynamic web sites. With
+.BR ocsigen ,
+you program in a concise and modular
+way, with a strong type system which helps you to produce always valid
+xhtml. The server handles sessions and page parameters automatically.
+
+
 .SH OPTIONS
-These programs follow the usual GNU command line syntax, with long
-options starting with two dashes (`-').
-A summary of options is included below.
-For a complete description, see the Info files.
 .TP
-.B \-h, \-\-help
+.B \-c
+Alternate configuration file.
+.TP
+.B \-help, \-\-help
 Show summary of options.
 .TP
-.B \-v, \-\-version
+.B \-s
+Slient mode (error messages go in errors.log only).
+.TP
+.B \-v
+Verbose mode.
+.TP
+.B \-vv
+Very verbose mode.
+.TP
+.B \-version
 Show version of program.
+
+
 .SH SEE ALSO
-.BR bar (1),
-.BR baz (1).
-.br
-The programs are documented fully by
-.IR "The Rise and Fall of a Fooish Bar" ,
-available via the Info system.
+.BR ocamlc (1).
+
+
 .SH AUTHOR
-xmoto was written by Vincent Balat <vincent.balat at pps.jussieu.fr>.
+ocsigen was written by Vincent Balat <vincent.balat at pps.jussieu.fr>.
 .PP
 This manual page was written by Samuel Mimram <smimram at debian.org>,
 for the Debian project (but may be used by others).

Added: trunk/packages/ocsigen/trunk/debian/ocsigen.default
URL: http://svn.debian.org/wsvn/pkg-ocaml-maint/trunk/packages/ocsigen/trunk/debian/ocsigen.default?rev=3145&op=file
==============================================================================
--- trunk/packages/ocsigen/trunk/debian/ocsigen.default (added)
+++ trunk/packages/ocsigen/trunk/debian/ocsigen.default Fri Sep 15 14:03:10 2006
@@ -1,0 +1,4 @@
+# Defaults for ocsigen initscript
+# sourced by /etc/init.d/ocsigen
+
+LAUNCH_AT_STARTUP=false

Added: trunk/packages/ocsigen/trunk/debian/ocsigen.doc-base
URL: http://svn.debian.org/wsvn/pkg-ocaml-maint/trunk/packages/ocsigen/trunk/debian/ocsigen.doc-base?rev=3145&op=file
==============================================================================
--- trunk/packages/ocsigen/trunk/debian/ocsigen.doc-base (added)
+++ trunk/packages/ocsigen/trunk/debian/ocsigen.doc-base Fri Sep 15 14:03:10 2006
@@ -1,0 +1,11 @@
+Document: ocsigen
+Title: ocsigen manual
+Author: Vincent Balat
+Abstract: Documentation for ocsigen's modules.
+Section: devel
+
+Format: HTML
+Index: /usr/share/doc/ocsigen/html/index.html
+Files: /usr/share/doc/ocsigen/html/*.html
+
+  

Added: trunk/packages/ocsigen/trunk/debian/ocsigen.init
URL: http://svn.debian.org/wsvn/pkg-ocaml-maint/trunk/packages/ocsigen/trunk/debian/ocsigen.init?rev=3145&op=file
==============================================================================
--- trunk/packages/ocsigen/trunk/debian/ocsigen.init (added)
+++ trunk/packages/ocsigen/trunk/debian/ocsigen.init Fri Sep 15 14:03:10 2006
@@ -1,0 +1,66 @@
+#! /bin/sh
+#
+# Init script written by Samuel Mimram <smimram at debian.org>.
+#
+### BEGIN INIT INFO
+# Provides:          ocsigen
+# Required-Start:    $syslog $network
+# Required-Stop:     $syslog $network
+# Should-Start:      $local_fs
+# Should-Stop:       $local_fs
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: ocsigen web server.
+# Description:       ocsigen web server.
+### END INIT INFO
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/bin/ocsigen
+NAME=ocsigen
+DESC=ocsigen
+
+test -x $DAEMON || exit 0
+
+# Include ocsigen defaults if available
+if [ -f /etc/default/ocsigen ] ; then
+	. /etc/default/ocsigen
+fi
+
+set -e
+
+case "$1" in
+  start|force-start)
+	if [ "x$LAUNCH_AT_STARTUP" != "xtrue" ] && [ "x$1" = "xstart" ]; then
+	    echo "Configuration file prevent $NAME to be started (use force-start)."
+	    exit 0
+	fi
+
+	echo -n "Starting $DESC: "
+	start-stop-daemon --start --quiet --background \
+		--pidfile /var/run/$NAME.pid --make-pidfile \
+		--exec $DAEMON -- $DAEMON_OPTS
+	echo "$NAME."
+	;;
+  stop)
+	echo -n "Stopping $DESC: "
+	start-stop-daemon --stop --quiet --oknodo --pidfile /var/run/$NAME.pid \
+		--exec $DAEMON
+	echo "$NAME."
+	;;
+  reload)
+	echo "Reloading $DESC configuration files."
+	start-stop-daemon --stop --signal 1 --quiet --pidfile \
+		/var/run/$NAME.pid --exec $DAEMON
+	;;
+  restart|force-reload)
+	$0 stop
+	$0 start
+	;;
+  *)
+	N=/etc/init.d/$NAME
+	echo "Usage: $N {start|stop|restart|reload|force-reload|force-start}" >&2
+	exit 1
+	;;
+esac
+
+exit 0

Modified: trunk/packages/ocsigen/trunk/debian/rules
URL: http://svn.debian.org/wsvn/pkg-ocaml-maint/trunk/packages/ocsigen/trunk/debian/rules?rev=3145&op=diff
==============================================================================
--- trunk/packages/ocsigen/trunk/debian/rules (original)
+++ trunk/packages/ocsigen/trunk/debian/rules Fri Sep 15 14:03:10 2006
@@ -63,7 +63,7 @@
 	dh_installexamples
 	dh_install
 #	dh_installlogrotate
-#	dh_installinit
+	dh_installinit
 	dh_installman
 	dh_link
 	dh_strip -Xocsigen
@@ -71,7 +71,7 @@
 	dh_fixperms
 	dh_installdeb
 	dh_shlibdeps
-	dh_gencontrol
+	dh_gencontrol -- -VF:OCamlABI="$(OCAMLABI)"
 	dh_md5sums
 	dh_builddeb
 




More information about the Pkg-ocaml-maint-commits mailing list